import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    async onInfbutSearow() {
        let rtnmsg = await this.executeRule("infbut.searow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
            //console.log("smhstm:",rtnmsg);
        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutDsp() {
        let rtnmsg = await this.executeRule("infbut.dsp")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            //console.log(rtnmsg);

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutUserow() {
        let rtnmsg = await this.executeRule("infbut.userow")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutClr() {
        let rtnmsg = await this.executeRule("infbut.clr")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutButprt() {
        let rtnmsg = await this.executeRule("infbut.butprt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfbutExi() {
        let rtnmsg = await this.executeRule("infbut.exi")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onRecpanButgetref() {
        let rtnmsg = await this.executeRule("recpan.butgetref")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onBe1pDet() {
        let rtnmsg = await this.executeRule("be1p.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onAdtpDet() {
        let rtnmsg = await this.executeRule("adtp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onBe2pDet() {
        let rtnmsg = await this.executeRule("be2p.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onAvtpDet() {
        let rtnmsg = await this.executeRule("avtp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onPreperButtxmsel() {
        let rtnmsg = await this.executeRule("preper.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onChariaButtxmsel() {
        let rtnmsg = await this.executeRule("charia.buttxmsel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onDrwpDet() {
        let rtnmsg = await this.executeRule("drwp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onA2tpDet() {
        let rtnmsg = await this.executeRule("a2tp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onRmtpDet() {
        let rtnmsg = await this.executeRule("rmtp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onConpDet() {
        let rtnmsg = await this.executeRule("conp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },
    async onInfconButshw() {
        let rtnmsg = await this.executeRule("infcon.butshw")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        }
        else {
            this.$notify.error({ title: '错误', message: '服务请求失败！' });
        }
    },

}